package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * ModifyVoipDeviceApSettingEntity
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ModifyVoipDeviceApSettingEntity   {
  @JsonProperty("voipDeviceApConfiguration")
  private Object voipDeviceApConfiguration;

  @JsonProperty("telephoneNumberAdvancedSetting")
  private TelephoneNumberAdvancedSettingApOpenApiVo telephoneNumberAdvancedSetting;

  @JsonProperty("skipConfirm")
  private Boolean skipConfirm;

  public ModifyVoipDeviceApSettingEntity voipDeviceApConfiguration(Object voipDeviceApConfiguration) {
    this.voipDeviceApConfiguration = voipDeviceApConfiguration;
    return this;
  }

  /**
   * Get voipDeviceApConfiguration
   * @return voipDeviceApConfiguration
  */
  @ApiModelProperty(value = "")

  @Valid

  public Object getVoipDeviceApConfiguration() {
    return voipDeviceApConfiguration;
  }

  public void setVoipDeviceApConfiguration(Object voipDeviceApConfiguration) {
    this.voipDeviceApConfiguration = voipDeviceApConfiguration;
  }

  public ModifyVoipDeviceApSettingEntity telephoneNumberAdvancedSetting(TelephoneNumberAdvancedSettingApOpenApiVo telephoneNumberAdvancedSetting) {
    this.telephoneNumberAdvancedSetting = telephoneNumberAdvancedSetting;
    return this;
  }

  /**
   * Get telephoneNumberAdvancedSetting
   * @return telephoneNumberAdvancedSetting
  */
  @ApiModelProperty(value = "")

  @Valid

  public TelephoneNumberAdvancedSettingApOpenApiVo getTelephoneNumberAdvancedSetting() {
    return telephoneNumberAdvancedSetting;
  }

  public void setTelephoneNumberAdvancedSetting(TelephoneNumberAdvancedSettingApOpenApiVo telephoneNumberAdvancedSetting) {
    this.telephoneNumberAdvancedSetting = telephoneNumberAdvancedSetting;
  }

  public ModifyVoipDeviceApSettingEntity skipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
    return this;
  }

  /**
   * skipConfirm indicates whether to skip the query of \"#'s conflict\" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the \"end with #\" configuration. 
   * @return skipConfirm
  */
  @ApiModelProperty(required = true, value = "skipConfirm indicates whether to skip the query of \"#'s conflict\" of voip device settings. false: Not to skip the query. true: Skip the query and the device will give priority to the \"end with #\" configuration. ")
  @NotNull


  public Boolean getSkipConfirm() {
    return skipConfirm;
  }

  public void setSkipConfirm(Boolean skipConfirm) {
    this.skipConfirm = skipConfirm;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ModifyVoipDeviceApSettingEntity modifyVoipDeviceApSettingEntity = (ModifyVoipDeviceApSettingEntity) o;
    return Objects.equals(this.voipDeviceApConfiguration, modifyVoipDeviceApSettingEntity.voipDeviceApConfiguration) &&
        Objects.equals(this.telephoneNumberAdvancedSetting, modifyVoipDeviceApSettingEntity.telephoneNumberAdvancedSetting) &&
        Objects.equals(this.skipConfirm, modifyVoipDeviceApSettingEntity.skipConfirm);
  }

  @Override
  public int hashCode() {
    return Objects.hash(voipDeviceApConfiguration, telephoneNumberAdvancedSetting, skipConfirm);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ModifyVoipDeviceApSettingEntity {\n");
    
    sb.append("    voipDeviceApConfiguration: ").append(toIndentedString(voipDeviceApConfiguration)).append("\n");
    sb.append("    telephoneNumberAdvancedSetting: ").append(toIndentedString(telephoneNumberAdvancedSetting)).append("\n");
    sb.append("    skipConfirm: ").append(toIndentedString(skipConfirm)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

